# $Revision: 1.8 $, $Date: 2010/10/11 12:51:19 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Structures_DataGrid_Renderer_Flexy
Summary:	%{_pearname} - renderer driver using Flexy
Summary(pl.UTF-8):	%{_pearname} - sterownik renderera wykorzystujący Flexy
Name:		php-pear-%{_pearname}
Version:	0.1.4
Release:	1
License:	PHP License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	5c87723a076da350ac701e3ba69ab856
URL:		http://pear.php.net/package/Structures_DataGrid_Renderer_Flexy/
BuildRequires:	php-pear-PEAR >= 1:1.4.9
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Structures_DataGrid >= 0.7.1
Requires:	php-pear-Structures_DataGrid_Renderer_Pager >= 0.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Renderer driver for Structures_DataGrid using
HTML_Template_Flexy. It adds a couple of variables to a Flexy instance
and adds paging functionality. This renderer also enables customised
result messages, customised column labels and a column label
formatter.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet dostarcza sterownik renderera dla Structures_DataGrid
korzystający z HTML_Template_Flexy. Dodaje kilka dodatkowych zmiennych
do instancji Flexy oraz możliwość podziału na strony. Renderer pozwala
także na konfigurowanie wyników, etykiet oraz formatowania kolumn.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Structures/DataGrid/Renderer/Flexy.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Structures_DataGrid_Renderer_Flexy.spec,v $
Revision 1.8  2010/10/11 12:51:19  glen
- up to 0.1.4

Revision 1.7  2010/08/22 08:51:38  glen
- ensure rpmbuild macros present

Revision 1.6  2010/08/21 19:09:14  glen
- updated deps with pearize.sh
- release 4

Revision 1.5  2008/05/24 08:41:57  adamg
- release 3 (updated PEAR deps)

Revision 1.4  2008-05-24 07:57:28  adamg
- PEAR/PEAR-core packages are not directly required

Revision 1.3  2008-04-12 21:20:39  qboosh
- pl fixes

Revision 1.2  2008-01-31 12:16:10  glen
- rel 2

Revision 1.1  2007-09-03 15:26:08  adamg
- new
